/* targets the tag itself */
body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header, 
main, 
footer {
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
    padding: 2rem;
}

header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}

nav {
    display: flex;
    align-items: center;
    gap: 1rem;
}

nav i {
    font-size: 1.3rem;
}

main,
section {
    display: flex;
    flex-direction: column;
}

main {
    gap: 4rem;
}

section {
    gap: 1rem;
}

.intro-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 12px;
  padding-bottom: 0.7rem;
}

.intro-header .logo {
  flex-shrink: 0;
}

.intro-text {
  display: flex;
  flex-direction: column;
}

.intro-text h1,
.intro-text p {
  margin: 0;
}
/* targets any tag of a particular class */
.intro-header p {
    padding-top: 0.25rem;
}

/* period in front o class name */
.intro-description {
    max-width: 500px;
}

.links-container {
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 1rem 0;
}

.link-arrow {
    color: var(--color-link);
    transform: rotate(-45deg);
}

.color-div {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

/* latest projects section */

.cards-grid {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.project-card {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project-links{
    display: flex;
    align-items: center;
    gap:1rem;
    padding-top: 0.5rem;
}

.tech-list {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    flex-wrap: wrap;
    padding: 0.25rem 0;
}

.tech-list div {
    padding: 0.1rem 0.5rem;
    border-radius: var(--border-radius-small);
}

.tech-list p {
    font-size: 0.8rem;
}

.logo {
    width: 65px;
    height: auto;
}

/* media queries mobile v desktop */

@media (min-width: 640px) {
    .project-card {
        flex-direction: row;
    }

    .project-card .img-div {
        max-width: 30%;
    }
}